% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/methods-Chromatogram.R
\docType{methods}
\name{correlate,Chromatogram,Chromatogram-method}
\alias{correlate,Chromatogram,Chromatogram-method}
\alias{correlate}
\title{Correlate chromatograms}
\usage{
\S4method{correlate}{Chromatogram,Chromatogram}(x, y,
  use = "pairwise.complete.obs", method = c("pearson", "kendall",
  "spearman"), align = c("matchRtime", "approx"), ...)
}
\arguments{
\item{x}{\code{\link[=Chromatogram]{Chromatogram()}} object.}

\item{y}{\code{\link[=Chromatogram]{Chromatogram()}} object.}

\item{use}{\code{character(1)} passed to the \code{cor} function. See \code{\link[=cor]{cor()}} for
details.}

\item{method}{\code{character(1)} passed to the \code{cor} function. See \code{\link[=cor]{cor()}} for
details.}

\item{align}{\code{character(1)} defining the alignment method to be used. See
\code{\link[=align]{align()}} for details. The value of this parameter is passed to the
\code{method} parameter of \code{align}.}

\item{...}{optional parameters passed along to the \code{align} method.}
}
\value{
\code{numeric(1)} with the correlation coefficient.
}
\description{
Correlate intensities of two chromatograms with each other. If the two
\code{Chromatogram} objects have different retention times they are first
\emph{aligned} to match data points in the first to data points in the second
chromatogram. See \code{\link[=align]{align()}} for more details.
}
\author{
Michael Witting, Johannes Rainer
}
